/* Generate datafiles for use with many projects */
/* Author: Ben Griffy */
/* Date: Apr., 2018 */
/* Website: https://www.bengriffy.com */

clear all
pause on
set more off

local i = 1
global projname = "Participation"
global shortname = "Participation"

if `i' == 1{
    global pd = "/media/ben/workA/shared/Dropbox/Research/$projname"
    global progdir = "/media/ben/workA/shared/Dropbox/Research/$projname/ben_programs/dataPrograms/CPSMain"
    global modeldatadir = "$pd/ben_programs/modeluse_data/"
    global alldatadir = "/media/ben/workA/datasets"
    global datadir = "$alldatadir/CPS/projects/MWParticipation"
    global tmpdir = "$datadir/tmp"
}
if `i' == 2{
    global pd = "/home/ben/Dropbox/Research/$projname"
    global progdir = "/home/ben/Dropbox/Research/$projname/programs/data/SC/stata"
    global modeldatadir = "$pd/data/modeluse_data/"
    global datadir = "$pd/data/SC"
    global alldatadir = "/media/ben/workA/data"
    global tmpdir = "$datadir/tmp"
}
if `i' == 3{
    global pd = "C:\Users\Ben\Dropbox\Research\$projname"
    global progdir = "C:\Users\Ben\Dropbox\Research\$projname\programs\data\SC"
    global modeldatadir = "$pd\data\modeluse_data"
    global datadir = "C:\Users\Ben\Dropbox\data\SC\data"
    global alldatadir = "C:\data"
    global projdir = "C:\Users\Ben\Dropbox\data\SC\projects\$shortname"
    global tmpdir = "$datadir\tmp"
}
if `i' == 4{
    global pd = "/home/ben//Dropbox/Research/$projname"
    global progdir = "/home/ben//Dropbox/Research/$projname/programs/data/SC"
    global modeldatadir = "$pd/data/modeluse_data/"
    global psiddir = "/media/ben/workUSB/datasets/SC"
    global datadir = "$psiddir/data"
    global alldatadir = "/media/ben/workUSB/data"
    global projdir = "/media/ben/workUSB/datasets/SC/projects/$shortname"
    global tmpdir = "$datadir/tmp"
}

global graphicpath = "$pd/figures/graphics"
global tablepath = "$pd/figures/tables"

/* capture confirm file $projdir/ */
/* if _rc mkdir $projdir/ */

capture confirm file $tmpdir/
if _rc mkdir $tmpdir/

local alldata = 0
local genbasedataset = 0
local savebasedataset = 0
local finalclean = 0

local allanalysis = 0
local mainanalysis = 0
local miscanalysis = 0

local cleartmp = 0

/* Data Generation */

if `genbasedataset' == 1 | `alldata' == 1{
    cd "$progdir/data_prep"
    do ReadInAndLabel
}

if `savebasedataset' == 1 | `alldata' == 1{
    cd "$progdir/data_prep"
    do SaveTemp
}


if `finalclean' == 1 | `alldata' == 1{
    cd "$progdir/data_prep"
    do FinalClean
}

/* Analysis */

if `mainanalysis' == 1 | `allanalysis' == 1{
    cd "$progdir/analysis"
    do CPS_AnalysisMain
}

