clear all
pause on
set more off

*Set Ben's Path
cd "$tmpdir"
use CPStmp1.dta, clear
	
* next lines drop ststes where minwage wasabove $8 in 2013
* "Oregon" | "Distrct of Columbia" | "Vermont" | "Washington" | "Connecticut" | "Illinios"

*drop if statefip==41

*drop if statefip==50 

*drop if statefip==53

*drop if statefip==11

*drop if statefip==09

*drop if statefip==17

drop if age<25 | age>54

drop if educ>72	/* takes out HS grads and higher */

* drop if sex==2 /* takes out women */

* eliminating anyone who is an unemployed new worker, retired or unable to work

drop if empstat==22 | empstat==32 | empstat==36

* obtaining new id for each group of 4 observed months

sort cpsidp year month

* pause

g long cid=0

replace cid=cid+1 if cpsidp>cpsidp[_n-1]

g long newid=sum(cid)*10

drop cid

replace newid=newid+1 if mish>4

label variable newid "my person-wave id"

sort newid year month



*pause

* identifying each group of 4 months with a reported wage 

duplicates tag newid, g (dupid)

label variable dupid "number of duplicate newid values"

* math on p. (M'.7) requires everyone is observed for 4 months
* this generates the "General Sample"

drop if dupid<3



* identify labor market attachment of NILF reporters in general sample

by newid: egen int maxempstat=max(empstat)

codebook empstat if maxempstat==34

codebook empstat if maxempstat==21 /* used to figure out propensity to be employed 
 among those only reporting unemployment */
 
 
 /* obtaining non-partipation rates among general sample*/
 
 by newid: egen int minempstat=min(empstat)
 
 codebook empstat if minempstat==34

/* general sample is done here */ 

cd "$datadir"
save CPSGenSampFinal.dta, replace

/* these lines identify individuals by their 4th month reported hourly wage min used to
 eliminate the 99.99 observations that are NIU* they generate the "working sample"*/


by newid: egen float mwage=min(hourwage)

label variable mwage "lowest hourly wage reported for an individual"

*pause

drop if mwage>99

*pause

drop if mwage<7.25

/* working sample is done here */

cd "$datadir"
save CPSWorkingSampFinal.dta, replace
